name: Build and Deploy Chitfund
on: [push]

jobs:
  build-backend:
    runs-on: ubuntu-latest
    env:
      DOCKER_HOST: tcp://localhost:2375
    steps:
      - name: Checkout
        uses: actions/checkout@v3

      - name: Build and push Backend (Kaniko)
        run: |
          docker run --rm \
            -v $GITEA_WORKSPACE:/workspace \
            gcr.io/kaniko-project/executor:latest \
              --context=/workspace/backend \
              --dockerfile=/workspace/backend/Dockerfile \
              --destination=192.168.8.250:5000/chitfund-backend:latest \
              --insecure \
              --skip-tls-verify

  build-frontend:
    runs-on: ubuntu-latest
    env:
      DOCKER_HOST: tcp://localhost:2375
    steps:
      - name: Checkout
        uses: actions/checkout@v3

      - name: Build and push Frontend (Kaniko)
        run: |
          docker run --rm \
            -v $GITEA_WORKSPACE:/workspace \
            gcr.io/kaniko-project/executor:latest \
              --context=/workspace/luckychit \
              --dockerfile=/workspace/luckychit/Dockerfile \
              --destination=192.168.8.250:5000/chitfund-frontend:latest \
              --insecure \
              --skip-tls-verify